> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar faturas da assinatura

> Faturas geradas por ciclo da assinatura, com valor, data e resultado da cobrança — a base da sua conciliação de recorrência.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/subscriptions/{id}/invoices
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/subscriptions/{id}/invoices:
    get:
      tags:
        - Assinaturas
      summary: Listar faturas da assinatura
      description: >-
        Faturas geradas por ciclo da assinatura, com valor, data e resultado da
        cobrança — a base da sua conciliação de recorrência.
      operationId: listCommerceSubscriptionInvoices
      parameters:
        - schema:
            type: string
            maxLength: 200
          in: query
          name: after
          required: false
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          in: query
          name: limit
          required: false
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - data
                  - hasMore
                  - nextCursor
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amountMinor
                        - createdAt
                        - currency
                        - dueAt
                        - failureCode
                        - id
                        - oneTimeItemsAmountMinor
                        - paidAt
                        - paymentIntentId
                        - paymentMethod
                        - periodEnd
                        - periodStart
                        - sequence
                        - status
                        - subscriptionId
                      properties:
                        amountMinor:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        createdAt:
                          type: string
                          format: date-time
                        currency:
                          type: string
                          enum:
                            - BRL
                        dueAt:
                          type: string
                          format: date-time
                        failureCode:
                          anyOf:
                            - type: string
                              maxLength: 120
                            - type: 'null'
                        id:
                          type: string
                          format: uuid
                        oneTimeItemsAmountMinor:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        paidAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        paymentIntentId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        paymentMethod:
                          type: string
                          enum:
                            - PIX
                            - CARD
                        periodEnd:
                          type: string
                          format: date-time
                        periodStart:
                          type: string
                          format: date-time
                        sequence:
                          type: integer
                          minimum: 1
                        status:
                          type: string
                          enum:
                            - OPEN
                            - PROCESSING
                            - PAID
                            - FAILED
                            - VOID
                        subscriptionId:
                          type: string
                          format: uuid
                  hasMore:
                    type: boolean
                  nextCursor:
                    anyOf:
                      - type: string
                        maxLength: 200
                      - type: 'null'
                  total:
                    type: integer
                    minimum: 0
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.